
Redmine - Defect #2391

error in test:functionals  in the latest development source from the trunk

2008-12-24 00:39 - yves dufour

Status: Closed Start date: 2008-12-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Got 1 error..is it a bad test environment ?

ruby "test/functional/issues_controller_test.rb" 

Loaded suite test/functional/issues_controller_test

Started

......................sh: gs: command not found

sh: gs: command not found

E.............................

Finished in 36.082663 seconds.

  1) Error:

test_gantt_image(IssuesControllerTest):

Magick::ImageMagickError: Postscript delegate failed `/var/folders/NK/NKfWCW3eEVCg0ERnpPsnME+++TI/

-Tmp-/magick-gbphczWq': No such file or directory: `(null)'

    /Users/yves/Sites/rails/redmine/lib/redmine/helpers/gantt.rb:217:in `draw'

    /Users/yves/Sites/rails/redmine/lib/redmine/helpers/gantt.rb:217:in `to_image'

    /Users/yves/Sites/rails/redmine/app/controllers/issues_controller.rb:343:in `gantt'

.......

52 tests, 243 assertions, 0 failures, 1 errors

========

History

#1 - 2008-12-24 14:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

is it a bad test environment ?

 I don't have any information about your environment but it looks like gs is missing?

Test passes with a working imagemagick install.

#2 - 2009-03-01 21:00 - Enderson Maia

- Status changed from Closed to Reopened

I had the same problem, solved installing ghostscript, in my case at Mac OS X unsing ports:

sudo port install ghostscript

 I don't have the sh: gs: command not found error anymore, but instead I have:

  1) Error:

test_gantt_image(IssuesControllerTest):

Magick::ImageMagickError: unable to read font `/Library/Fonts/Arial': `(null)'

    /Users/macbook/dev/redmine-github/lib/redmine/helpers/gantt.rb:217:in `draw'

    /Users/macbook/dev/redmine-github/lib/redmine/helpers/gantt.rb:217:in `to_image'

    /Users/macbook/dev/redmine-github/app/controllers/issues_controller.rb:357:in `gantt'
    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/mime_responds.rb:135:in `call'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/mime_responds.rb:135:in `custom'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/mime_responds.rb:164:in `call'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/mime_responds.rb:164:in `respond'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/mime_responds.rb:158:in `each'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/mime_responds.rb:158:in `respond'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/mime_responds.rb:107:in `respond_to'

    /Users/macbook/dev/redmine-github/app/controllers/issues_controller.rb:355:in `gantt'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:1253:in `send'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:1253:in `perform_action_without

_filters'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:617:in `call_filters'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:610:in `perform_action_witho

ut_benchmark'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/benchmarking.rb:68:in `perform_action_w

ithout_rescue'

    /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/benchmarking.rb:68:in `perform_action_w

ithout_rescue'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/rescue.rb:136:in `perform_action_withou

t_caching'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/caching/sql_cache.rb:13:in `perform_act

ion'

    /Library/Ruby/Gems/1.8/gems/activerecord-2.2.2/lib/active_record/connection_adapters/abstract/query_cache.

rb:34:in `cache'

    /Library/Ruby/Gems/1.8/gems/activerecord-2.2.2/lib/active_record/query_cache.rb:8:in `cache'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/caching/sql_cache.rb:12:in `perform_act

ion'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:524:in `send'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:524:in `process_without_filters

'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:606:in `process_without_sess

ion_management_support'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session_management.rb:134:in `process_w

ithout_test'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/test_process.rb:18:in `process'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/test_process.rb:407:in `process'

    /Library/Ruby/Gems/1.8/gems/actionpack-2.2.2/lib/action_controller/test_process.rb:376:in `get'

    test/functional/issues_controller_test.rb:249:in `test_gantt_image'

    /Library/Ruby/Gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_teardown.rb:94:in `__

send__'

    /Library/Ruby/Gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_teardown.rb:94:in `ru

n'

 What's missing ?

#3 - 2009-03-01 21:04 - Enderson Maia

Just to complement, the file exists.

$ ls -lh /Library/Fonts/Arial

-rw-rw-r--@ 1 root  admin     0B 15 Dez  2005 /Library/Fonts/Arial

#4 - 2009-11-05 13:30 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Error related to the RMagick setup.
